Package com.databricks.jdbc.model.client.thrift.generated

## Enum TExpressionInfo._Fields

- java.lang.Object
- - java.lang.Enum<TExpressionInfo._Fields>
  - - com.databricks.jdbc.model.client.thrift.generated.TExpressionInfo._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TExpressionInfo._Fields>`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  TExpressionInfo

    public static enum TExpressionInfo._Fields
    extends Enum<TExpressionInfo._Fields>
    implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Enum Constant Summary

Enum Constants
`ARGUMENTS`
`CLASS_NAME`
`DB`
`DEPRECATED`
`EXAMPLES`
`EXTENDED`
`GROUP`
`NAME`
`NOTE`
`SINCE`
`SOURCE`
`USAGE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TExpressionInfo._Fields` `findByName​(String name)` Find the _Fields constant that matches name, or null if its not found.
`static TExpressionInfo._Fields` `findByThriftId​(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static TExpressionInfo._Fields` `findByThriftIdOrThrow​(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String` `getFieldName()`
`short` `getThriftFieldId()`
`static TExpressionInfo._Fields` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TExpressionInfo._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLASS_NAME

    public static final TExpressionInfo._Fields CLASS_NAME

#### USAGE

    public static final TExpressionInfo._Fields USAGE

#### NAME

    public static final TExpressionInfo._Fields NAME

#### EXTENDED

    public static final TExpressionInfo._Fields EXTENDED

#### DB

    public static final TExpressionInfo._Fields DB

#### ARGUMENTS

    public static final TExpressionInfo._Fields ARGUMENTS

#### EXAMPLES

    public static final TExpressionInfo._Fields EXAMPLES

#### NOTE

    public static final TExpressionInfo._Fields NOTE

#### GROUP

    public static final TExpressionInfo._Fields GROUP

#### SINCE

    public static final TExpressionInfo._Fields SINCE

#### DEPRECATED

    public static final TExpressionInfo._Fields DEPRECATED

#### SOURCE

    public static final TExpressionInfo._Fields SOURCE

### Method Detail

#### values

    public static TExpressionInfo._Fields[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TExpressionInfo._Fields c : TExpressionInfo._Fields.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TExpressionInfo._Fields valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### findByThriftId

    public static TExpressionInfo._Fields findByThriftId​(int fieldId)

Find the _Fields constant that matches fieldId, or null if its not found.

#### findByThriftIdOrThrow

    public static TExpressionInfo._Fields findByThriftIdOrThrow​(int fieldId)

Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

#### findByName

    public static TExpressionInfo._Fields findByName​(String name)

Find the _Fields constant that matches name, or null if its not found.

#### getThriftFieldId

    public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

#### getFieldName

    public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`